#!/bin/bash

cat << EOF
---------------------------------------------------
Halyard Spinnaker Deployment Log
---------------------------------------------------
$(kubectl -n spinnaker logs $(kubectl -n spinnaker get pod --no-headers -o custom-columns=':metadata.name' | grep spinnaker-install-using))


---------------------------------------------------
Spinnaker pods in Create or ImagePullBackOff state
---------------------------------------------------
$(kubectl get pod -n spinnaker | grep -i 'creating\|ImagePullBackOff')


---------------------------------------------------
Spinnaker pods in Init state
---------------------------------------------------
$(kubectl get pod -n spinnaker | grep Init | grep -v Error)


---------------------------------------------------
Spinnaker pods in Error or CrashLoopBackOff state
---------------------------------------------------
$(kubectl get pod -n spinnaker | grep 'Crash\|Error')


---------------------------------------------------
Spinnaker POD Summary
---------------------------------------------------
Creating/ImagePullBackOff     : $(kubectl get pod -n spinnaker | grep -i 'creating\|ImagePullBackOff' | wc -l) pods
Init                          : $(kubectl get pod -n spinnaker | grep Init | grep -v Error | wc -l) pods
Error/CrashLoopBackOff        : $(kubectl get pod -n spinnaker | grep 'Error\|Crash' | wc -l) pods
Terminating                   : $(kubectl get pod -n spinnaker | grep -i terminating | wc -l) pods
Running/Completed             : $(kubectl get pod -n spinnaker | grep -i 'running\|completed' | wc -l) pods
Total                         : $(kubectl get pod -n spinnaker | grep -v RESTART | wc -l) pods
---------------------------------------------------


---------------------------------------------------
Summary of Container Images pulled for Spinnaker
---------------------------------------------------
Number of Spinnaker containers     : $(kubectl get pods -n spinnaker -o jsonpath="{..image}" | tr -s '[[:space:]]' '\n' | sort | uniq | grep '^spin.*' |  wc -l)
Number of non-Spinnaker containers : $(kubectl get pods -n spinnaker -o jsonpath="{..image}" | tr -s '[[:space:]]' '\n' | sort | uniq | grep -v 'spin' | wc -l)
Total number of containers    : $(kubectl get pods -n spinnaker -o jsonpath="{..image}" | tr -s '[[:space:]]' '\n' | sort | uniq | wc -l)
---------------------------------------------------
EOF
